org.eclipse.jetty.io

## Class ThreadLocalBuffers

- java.lang.Object
- - org.eclipse.jetty.io.AbstractBuffers
  - - org.eclipse.jetty.io.ThreadLocalBuffers

- All Implemented Interfaces:
    Buffers

      public class ThreadLocalBuffers
      extends AbstractBuffers

  Abstract Buffer pool. simple unbounded pool of buffers for header, request and response sizes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ThreadLocalBuffers.ThreadBuffers`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.io.Buffers

      `Buffers.Type`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.io.AbstractBuffers

      `_bufferSize, _bufferType, _headerSize, _headerType, _otherType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLocalBuffers(Buffers.Type headerType, int headerSize, Buffers.Type bufferType, int bufferSize, Buffers.Type otherType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `getBuffer()`
    `Buffer` | `getBuffer(int size)`
    `Buffer` | `getHeader()`
    `void` | `returnBuffer(Buffer buffer)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.jetty.io.AbstractBuffers

      `getBufferSize, getHeaderSize, isBuffer, isHeader, newBuffer, newBuffer, newHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLocalBuffers

          public ThreadLocalBuffers(Buffers.Type headerType,
                            int headerSize,
                            Buffers.Type bufferType,
                            int bufferSize,
                            Buffers.Type otherType)

  - ### Method Detail

    - #### getBuffer

          public Buffer getBuffer()

    - #### getHeader

          public Buffer getHeader()

    - #### getBuffer

          public Buffer getBuffer(int size)

    - #### returnBuffer

          public void returnBuffer(Buffer buffer)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractBuffers`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.